> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abacuslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an account

> Partial update: cash, positions, rules, history, tax_rates, name, policy



## OpenAPI

````yaml /openapi.json patch /accounts/{account_id}
openapi: 3.1.0
info:
  title: Abacus Labs
  description: Portfolio analysis and decision API for AI agents. Read /agent.md first.
  version: 1.0.0
servers:
  - url: https://api.abacuslabs.ai/v1
    description: Abacus Labs API
security:
  - bearer: []
tags:
  - name: Onboarding
  - name: Analyze
  - name: Proposals
  - name: Trade checks
  - name: Commits
  - name: Accounts
paths:
  /accounts/{account_id}:
    patch:
      tags:
        - Accounts
      summary: Update an account
      description: 'Partial update: cash, positions, rules, history, tax_rates, name, policy'
      operationId: patch_account_v1_accounts__account_id__patch
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: >-
        An API key: abacus_sk_test_... (sandbox, from POST /v1/keys) or
        abacus_sk_live_... (from https://app.abacuslabs.ai)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.